using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class TreeView_149725_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (! this.IsPostBack)
        {
            for (int nodeIndex = 0; nodeIndex < 5; nodeIndex++)
            {
                RadTreeNode node = new RadTreeNode("node " + nodeIndex);

                if (nodeIndex % 2 == 0)
                {
                    node.ExpandMode = TreeNodeExpandMode.ServerSideCallBack;
                }

                this.RadTreeView1.Nodes.Add(node);
            }
        }
    }
}